VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Instance Methods | Properties | List of all members
VSTInterAppAudioAppDelegateBase Class Reference

Base UIApplicationDelegate class. More...

`#import <VSTInterAppAudioAppDelegateBase.h>`

Inheritance diagram for VSTInterAppAudioAppDelegateBase:

## Instance Methods
(BOOL) | - application:willFinishLaunchingWithOptions:
(BOOL) | - application:didFinishLaunchingWithOptions:
(BOOL) | - application:shouldSaveApplicationState:
(BOOL) | - application:shouldRestoreApplicationState:
(void) | - applicationDidBecomeActive:
(void) | - applicationWillResignActive:

## Properties
UIWindow * | window

## Detailed Description

Base UIApplicationDelegate class.

This class provides the base handling of the audio engine, plug-in and plug-in editor
You should subclass it for customization
Make sure to call the methods of this class if you override one in your subclass !

## Method Documentation

- (BOOL) application: |  | (UIApplication*) | application
willFinishLaunchingWithOptions: |  | (NSDictionary*) | launchOptions

- (BOOL) application: |  | (UIApplication*) | application
didFinishLaunchingWithOptions: |  | (NSDictionary*) | launchOptions

- (BOOL) application: |  | (UIApplication*) | application
shouldSaveApplicationState: |  | (NSCoder*) | coder

- (BOOL) application: |  | (UIApplication*) | application
shouldRestoreApplicationState: |  | (NSCoder*) | coder

- (void) applicationDidBecomeActive: |  | (UIApplication*) | application |

- (void) applicationWillResignActive: |  | (UIApplication*) | application |

## Property Documentation

- (UIWindow*) window
| read write nonatomic strong

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.